EncodingUtil (HttpClient 3.1 API)
Keywords: org.apache.commons.httpclient.util.EncodingUtil class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.httpclient.util
Class EncodingUtil

    java.lang.Object
      org.apache.commons.httpclient.util.EncodingUtil

    public class EncodingUtil

extends Object

The home for utility methods that handle various encoding tasks.

Since:
  2.0 final
Author:
  Michael Becke, Oleg Kalnichevski

Method Summary
`static String` | `formUrlEncode(NameValuePair[] pairs, String charset)` Form-urlencoding routine.
`static byte[]` | `getAsciiBytes(String data)` Converts the specified string to byte array of ASCII characters.
`static String` | `getAsciiString(byte[] data)` Converts the byte array of ASCII characters to a string.
`static String` | `getAsciiString(byte[] data, int offset, int length)` Converts the byte array of ASCII characters to a string.
`static byte[]` | `getBytes(String data, String charset)` Converts the specified string to a byte array.
`static String` | `getString(byte[] data, int offset, int length, String charset)` Converts the byte array of HTTP content characters to a string.
`static String` | `getString(byte[] data, String charset)` Converts the byte array of HTTP content characters to a string.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### formUrlEncode

    public static String formUrlEncode(NameValuePair[] pairs,
                                       String charset)

  Form-urlencoding routine. The default encoding for all forms is `application/x-www-form-urlencoded'. A form data set is represented in this media type as follows: The form field names and values are escaped: space characters are replaced by `+', and then reserved characters are escaped as per [URL]; that is, non-alphanumeric characters are replaced by `%HH', a percent sign and two hexadecimal digits representing the ASCII code of the character. Line breaks, as in multi-line text field values, are represented as CR LF pairs, i.e. `%0D%0A'.

  if the given charset is not supported, ISO-8859-1 is used instead.

  Parameters:
    `pairs` - the values to be encoded
    `charset` - the character set of pairs to be encoded
  Returns:
    the urlencoded pairs
  Since:
    2.0 final

### getString

    public static String getString(byte[] data,
                                   int offset,
                                   int length,
                                   String charset)

  Converts the byte array of HTTP content characters to a string. If the specified charset is not supported, default system encoding is used.

  Parameters:
    `data` - the byte array to be encoded
    `offset` - the index of the first byte to encode
    `length` - the number of bytes to encode
    `charset` - the desired character encoding
  Returns:
    The result of the conversion.
  Since:
    3.0

### getString

    public static String getString(byte[] data,
                                   String charset)

  Converts the byte array of HTTP content characters to a string. If the specified charset is not supported, default system encoding is used.

  Parameters:
    `data` - the byte array to be encoded
    `charset` - the desired character encoding
  Returns:
    The result of the conversion.
  Since:
    3.0

### getBytes

    public static byte[] getBytes(String data,
                                  String charset)

  Converts the specified string to a byte array. If the charset is not supported the default system charset is used.

  Parameters:
    `data` - the string to be encoded
    `charset` - the desired character encoding
  Returns:
    The resulting byte array.
  Since:
    3.0

### getAsciiBytes

    public static byte[] getAsciiBytes(String data)

  Converts the specified string to byte array of ASCII characters.

  Parameters:
    `data` - the string to be encoded
  Returns:
    The string as a byte array.
  Since:
    3.0

### getAsciiString

    public static String getAsciiString(byte[] data,
                                        int offset,
                                        int length)

  Converts the byte array of ASCII characters to a string. This method is to be used when decoding content of HTTP elements (such as response headers)

  Parameters:
    `data` - the byte array to be encoded
    `offset` - the index of the first byte to encode
    `length` - the number of bytes to encode
  Returns:
    The string representation of the byte array
  Since:
    3.0

### getAsciiString

    public static String getAsciiString(byte[] data)

  Converts the byte array of ASCII characters to a string. This method is to be used when decoding content of HTTP elements (such as response headers)

  Parameters:
    `data` - the byte array to be encoded
  Returns:
    The string representation of the byte array
  Since:
    3.0

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2007 Apache Software Foundation. All Rights Reserved.